Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.communication.messages
Class ActionMessage

    java.lang.Object
      gecco.communication.messages.Message
          gecco.communication.messages.ActionMessage

Direct Known Subclasses:
  AbortActionMessage, ActionOnPositionMessage, ActionOnUnitMessage, ActionOnVoidMessage

public abstract class ActionMessage
extends Message

This is the superclass for all messages to be sent when the client calls doAction()

Author:
  Niklas Hallenfur

Constructor Summary
`ActionMessage(long id, int ph, String ah)` Constructor for the ActionMessage object

Method Summary
`String` | `getActionHandle()` Gets the ActionHandle attribute of the ActionMessage object
`int` | `getHandle()` Gets the PieceHandle attribute of the ActionMessage object
`long` | `getId()` Gets the Id attribute of the ActionMessage object

Methods inherited from class gecco.communication.messages.Message
`read, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionMessage

    public ActionMessage(long id,
                         int ph,
                         String ah)

  Constructor for the ActionMessage object

Parameters:
  `id` - Description of Parameter
  `ph` - Description of Parameter
  `ah` - Description of Parameter

Method Detail

### getId

    public long getId()

  Gets the Id attribute of the ActionMessage object

  Returns:
    The Id value

### getHandle

    public int getHandle()

  Gets the PieceHandle attribute of the ActionMessage object

  Returns:
    The PieceHandle value

### getActionHandle

    public String getActionHandle()

  Gets the ActionHandle attribute of the ActionMessage object

  Returns:
    The ActionHandle value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD